Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# InspectorWindow Class Reference

List of all members.

## Public Member Functions
def | __init__
def | createListWidget
def | createMenus
def | createPopupMenu
def | createTextWidgets
def | createViews
def | dive
def | evalCommand
def | fillList
def | inspect
def | inspectedObject
def | inspectorForSelectedPart
def | listSelectionChanged
def | open
def | pop
def | popOrDive
def | popupMenu
def | selectedIndex
def | selectedPart
def | setTitle
def | showHelp
def | topInspector
def | update
## Public Attributes
| commandWidget
| framePane
| inspectors
| listWidget
| menuBar
| textPane
| textWidget
| top

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | inspector
| ) |  |

## Member Function Documentation

def createListWidget | ( |  | self | ) |

def createMenus | ( |  | self | ) |

def createPopupMenu | ( |  | self,
|  |  | part,
|  |  | menuList
| ) |  |

def createTextWidgets | ( |  | self | ) |

def createViews | ( |  | self | ) |

def dive | ( |  | self | ) |

def evalCommand | ( |  | self,
|  |  | event
| ) |  |

    Eval text in commandWidget

def fillList | ( |  | self | ) |

def inspect | ( |  | self | ) |

def inspectedObject | ( |  | self | ) |

def inspectorForSelectedPart | ( |  | self | ) |

def listSelectionChanged | ( |  | self,
|  |  | event
| ) |  |

def open | ( |  | self | ) |

def pop | ( |  | self | ) |

def popOrDive | ( |  | self,
|  |  | event
| ) |  |

    The list has been double-clicked. If the selection is 'self' then pop,
    otherwise dive into the selected part

def popupMenu | ( |  | self,
|  |  | event
| ) |  |

def selectedIndex | ( |  | self | ) |

def selectedPart | ( |  | self | ) |

def setTitle | ( |  | self | ) |

def showHelp | ( |  | self | ) |

def topInspector | ( |  | self | ) |

def update | ( |  | self | ) |

## Member Data Documentation

commandWidget

framePane

inspectors

listWidget

menuBar

textPane

textWidget

top

All Classes Namespaces Functions Variables Enumerations Enumerator Properties